Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_RB_Tree_Base Class Reference

`#include <RB_Tree.h>`

Inheritance diagram for ACE_RB_Tree_Base:

[legend]
List of all members.

## Public Types
enum | RB_SearchResult { LEFT, EXACT, RIGHT }
| Search result enumeration. More...

## Member Enumeration Documentation

enum ACE_RB_Tree_Base::RB_SearchResult

  | Search result enumeration. Enumeration values:
  LEFT |
  EXACT |
  RIGHT |

The documentation for this class was generated from the following file:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/RB_Tree.h